<div class="col-md-12">
  <div class="card text-black" style="border-radius: 25px;">
    <div class="card-body p-md-5">
      <div class="row justify-content-center">
        <div class="col-md-10 col-lg-6 col-xl-5 order-2 order-lg-1">

          <p class="text-center h1 fw-bold mb-5 mt-4">Sign up</p>

          
          <form *ngIf="!isSuccessful" name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm" novalidate>

            <div class="d-flex flex-row align-items-center mb-4">
              <i class="fa fa-user fa-lg me-3 fa-fw"></i>
              <div class="form-outline flex-fill mb-0">
                <input type="text" id="name" class="form-control" name="name" [(ngModel)]="form.name" required minlength="3" maxlength="20" #name="ngModel" placeholder="Your Name">
                <div class="form-notch">
                  <div class="form-notch-leading" style="width: 9px;"></div>
                  <div class="form-notch-middle" style="width: 71.2px;"></div>
                  <div class="form-notch-trailing"></div>
                </div>
              </div>
            </div>

            <div class="d-flex flex-row align-items-center mb-4">
              <i class="fa fa-user fa-lg me-3 fa-fw"></i>
              <div class="form-outline flex-fill mb-0">
                <input type="text" id="username" class="form-control" name="username" [(ngModel)]="form.username" required minlength="3" maxlength="20" #username="ngModel" placeholder="Username">
                <div class="form-notch">
                  <div class="form-notch-leading" style="width: 9px;"></div>
                  <div class="form-notch-middle" style="width: 71.2px;"></div>
                  <div class="form-notch-trailing"></div>
                </div>
              </div>
            </div>

            <div class="d-flex flex-row align-items-center mb-4">
              <i class="fa fa-envelope fa-lg me-3 fa-fw"></i>
              <div class="form-outline flex-fill mb-0">
                <input type="email" id="email" class="form-control" name="email" [(ngModel)]="form.email" required email #email="ngModel" placeholder="Your Email">
              <div class="form-notch"><div class="form-notch-leading" style="width: 9px;"></div><div class="form-notch-middle" style="width: 69.6px;"></div><div class="form-notch-trailing"></div></div></div>
            </div>

            <div class="d-flex flex-row align-items-center mb-4">
              <i class="fa fa-lock fa-lg me-3 fa-fw"></i>
              <div class="form-outline flex-fill mb-0">
                <input type="password" id="password" class="form-control" name="password" [(ngModel)]="form.password" required minlength="6" #password="ngModel" placeholder="Password">
              <div class="form-notch"><div class="form-notch-leading" style="width: 9px;"></div><div class="form-notch-middle" style="width: 64px;"></div><div class="form-notch-trailing"></div></div></div>
            </div>

            <div class="alert alert-warning" *ngIf="f.submitted && isSignUpFailed">
              Signup failed!<br />{{ errorMessage }}
            </div>

            <div class="d-flex justify-content-center mx-4 mb-3 mb-lg-4">
              <button class="btn btn-primary btn-lg">Register</button>
            </div>

          </form>
          <div class="alert alert-success" *ngIf="isSuccessful">
            Your registration is successful!
          </div>

        </div>
        <div class="col-md-10 col-lg-6 col-xl-7 d-flex align-items-center order-1 order-lg-2">

          <img src="https://mdbcdn.b-cdn.net/img/Photos/new-templates/bootstrap-registration/draw1.webp" class="img-fluid" alt="Sample image">

        </div>
      </div>
    </div>
  </div>
</div>